/*
	Copyright (C) 2008 David Fleer.

	This file is part of mkesa.

	mkesa is free software: you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation, either version 2 of the License, or
	(at your option) any later version.

	mkesa is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with mkesa.  If not, see <http://www.gnu.org/licenses/>.
*/
#ifndef _MKESA_BLIND_H_
#define _MKESA_BLIND_H_

#include <libfid.h>

#ifdef MKESA_DATA64
#include <libfid.64>
#else
#include <libfid.32>
#endif

typedef struct {
	UINT suffix;
	void* next;
} blind_leaf_t;

typedef struct {
	UINT lcp;
	fid_Symbol symbol;
	
	blind_leaf_t* leaves;

	void* parent;
	void* next;
	void* children;
} blind_node_t;

void destroy_trie(blind_node_t *const root);

void traverse_trie(const blind_node_t* root, UINT** sufarray);

void dump_trie(const blind_node_t* root, const fid_Symbol* tp,
		const fid_Symbol* tm);

blind_node_t* build_trie(UINT* sufarray, const size_t n, 
		blind_leaf_t *const leaves, const fid_Symbol* tp, 
		const fid_Symbol* tm, const UINT lcp);

void blind_sort(UINT* a, const size_t n, const sort_params_t* sp,
		const UINT lcp);

#endif
