/*
	Copyright (C) 2008 David Fleer.

	This file is part of mkesa.

	mkesa is free software: you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation, either version 2 of the License, or
	(at your option) any later version.

	mkesa is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with mkesa.  If not, see <http://www.gnu.org/licenses/>.
*/
#ifndef _MKESA_FID_H_
#define _MKESA_FID_H_

#include <libfid.h>

#ifdef MKESA_DATA64
#include <libfid.64>
#else
#include <libfid.32>
#endif

int get_alphabet(fid_Alphabet* alpha, const mkesa_params_t* params);

int build_tables(fid_Alphabet* alpha,
		fid_Suffixarray* esa, mkesa_params_t* params);

int write_and_free_tables(fid_Suffixarray* esa, const mkesa_params_t* params);

#endif
