#! /bin/sh
#
# This file is public domain; you can distribute and/or modify it without
# any restrictions. It is provided "as is", WITHOUT WARRANTY OF ANY KIND,
# express or implied, including but not limited to the warranties of
# MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE and NONINFRINGEMENT.
#

# If ACDIR is set in the environment, pass the paths listed in that variable
# to aclocal via -I option. This is for systems that have M4 macros installed
# in unusual places.
if test "x${ACDIR}" = x
then
  ACLOCALEXTRA=""
  ARECONFEXTRA=""
else
  SAVE_IFS="${IFS}"
  IFS=":"
  for ACDIRITEM in ${ACDIR}
  do
    ACLOCALEXTRA="${ACLOCALEXTRA} -I ${ACDIRITEM}"
    ARECONFEXTRA="${ARECONFEXTRA} -I${ACDIRITEM}"
  done
  IFS="${SAVE_IFS}"
  
  if test "x${ACLOCAL}" = x
  then
    ACLOCAL="aclocal ${ACLOCALEXTRA}"
    export ACLOCAL
  else
    ACLOCAL="${ACLOCAL} ${ACLOCALEXTRA}"
  fi
fi

autoreconf -i ${ARECONFEXTRA} -Wall
