#! /bin/sh

set -e

# Try to prevent running this script inside the source tree.
if test -f configure.ac || test -f ../configure.ac || test -f ../../configure.ac
then
  echo 'Please do not run this script inside the source tree.'
  exit 1
fi

# What to remove.
CLEANFILES='Makefile Doxyfile config.cache config.h config.log config.status configure.lineno convesa convesa.o gmon.out launcher.o mkesa stamp-h1'
for w in 32 64
do
  CLEANFILES="${CLEANFILES} mkesa${w}"
  for f in algo blind cli fid induced mkesa qsorts threads util
  do
    CLEANFILES="${CLEANFILES} mkesa${w}-${f}.o"
  done
done
CLEANDIRECTORIES='doc tests .deps'

# Only print a message if any argument was given.
if test $# -ne 0
then
  cat << XXX
When called with no arguments, then this script will remove
- directories: ${CLEANDIRECTORIES}
- files      : ${CLEANFILES}
XXX
  exit 0
fi

# Kill.
if test -n "${CLEANDIRECTORIES}"
then
  rm -rf ${CLEANDIRECTORIES}
fi
if test -n "${CLEANFILES}"
then
  rm -f ${CLEANFILES}
fi
